# Random _Fallout 76_ records
Allows a user to retrieve a random record from the _Fallout 76_ game files.
The user can filter records by data type to avoid receiving uninteresting data types.

The back end, `api.php`, communicates with an SQLite database, `.fo76-dumps-ids.db`, containing only the `IDS.csv` dump
from [the _Fallout 76_ data dumps repository](https://github.com/FWDekker/fo76-dumps/).
The database is not included in this repository.

The front end, `index.html`, sends asynchronous queries to the back end based on the user's settings.
Selected data types are stored in a cookie so the user doesn't have to redo their settings each time the page is
refreshed.
